/*
    Copyright 2000, 2001 Stefan Kuhr

    This file is part of procaff.

    procaff is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    procaff is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with procaff; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA



    Copyright 2000, 2001 Stefan Kuhr

    Diese Datei ist Teil von procaff

    procaff ist freie Software. Sie koennen procaff unter
    den Bedingungen der GNU General Public License, wie von der
    Free Software Foundation herausgegeben, weitergeben und/oder
    modifizieren, entweder unter Version 2 der Lizenz oder (wenn
    Sie es wuenschen) jeder spaeteren Version.

    Die Veroeffentlichung von procaff erfolgt in der
    Hoffnung, da es Ihnen von Nutzen sein wird, aber OHNE JEDE
    GEWAEHRLEISTUNG - sogar ohne die implizite Gewaehrleistung
    der MARKTREIFE oder der EIGNUNG FUER EINEN BESTIMMTEN ZWECK.
    Details finden Sie in der GNU General Public License.

    Sie sollten eine Kopie der GNU General Public License zusammen
    mit procaff erhalten haben. Falls nicht, schreiben Sie
    an die Free Software Foundation, Inc., 675 Mass Ave, Cambridge,
    MA 02139, USA.
*/

#include <stdio.h>
#include <conio.h>
#include <windows.h>
#include <process.h>


void __cdecl threadfunc ( void * sz)
{
    HANDLE hProcess = OpenProcess(PROCESS_SET_INFORMATION|PROCESS_QUERY_INFORMATION , FALSE, GetCurrentProcessId());
    DWORD_PTR dwpProcessAffinityMask , dwpSystemAffinityMask;
    GetProcessAffinityMask(hProcess, &dwpProcessAffinityMask, &dwpSystemAffinityMask);
    printf("Process Affinity Mask is %64u\n", (_int64)dwpProcessAffinityMask);    
    printf("Process ID is %lu\n", GetCurrentProcessId());    

    sz;
}


int main(int argc, char* argv[])
{

    while (TRUE)
    {
        _beginthread(threadfunc, 0, NULL);
    }

    return 0;
}